=== modified file 'mandos'
--- mandos	2014-07-25 23:16:04 +0000
+++ mandos	2014-07-25 23:00:45 +0000
@@ -536,7 +536,7 @@
             server_settings = {}
         self.server_settings = server_settings
         # adding all client settings
-        for setting, value in settings.items():
+        for setting, value in settings.iteritems():
             setattr(self, setting, value)
         
         if self.enabled:
@@ -1009,7 +1009,7 @@
                                               (prop,
                                                "_dbus_annotations",
                                                {}))
-                        for name, value in annots.items():
+                        for name, value in annots.iteritems():
                             ann_tag = document.createElement(
                                 "annotation")
                             ann_tag.setAttribute("name", name)
@@ -1018,11 +1018,11 @@
                 # Add interface annotation tags
                 for annotation, value in dict(
                     itertools.chain.from_iterable(
-                        annotations().items()
+                        annotations().iteritems()
                         for name, annotations in
                         self._get_all_dbus_things("interface")
                         if name == if_tag.getAttribute("name")
-                        )).items():
+                        )).iteritems():
                     ann_tag = document.createElement("annotation")
                     ann_tag.setAttribute("name", annotation)
                     ann_tag.setAttribute("value", value)
@@ -1084,7 +1084,7 @@
     """
     def wrapper(cls):
         for orig_interface_name, alt_interface_name in (
-            alt_interface_names.items()):
+            alt_interface_names.iteritems()):
             attr = {}
             interface_names = set()
             # Go though all attributes of the class
@@ -2594,7 +2594,7 @@
                            "EOFError:", exc_info=e)
     
     with PGPEngine() as pgp:
-        for client_name, client in clients_data.items():
+        for client_name, client in clients_data.iteritems():
             # Skip removed clients
             if client_name not in client_settings:
                 continue
@@ -2664,7 +2664,7 @@
         clients_data[client_name] = client_settings[client_name]
     
     # Create all client objects
-    for client_name, client in clients_data.items():
+    for client_name, client in clients_data.iteritems():
         tcp_server.clients[client_name] = client_class(
             name = client_name, settings = client,
             server_settings = server_settings)

=== modified file 'mandos-ctl'
--- mandos-ctl	2014-07-25 23:16:04 +0000
+++ mandos-ctl	2014-07-25 23:00:45 +0000
@@ -376,7 +376,7 @@
                     for path, properties in mandos_clients.items() }
     else:
         for name in options.client:
-            for path, client in mandos_clients.items():
+            for path, client in mandos_clients.iteritems():
                 if client["Name"] == name:
                     client_objc = bus.get_object(busname, path)
                     clients[client_objc] = client

